## unbound 1.23.1

=== debian/changelog ===
unbound (1.23.1-1) unstable; urgency=medium

  * new upstream release
  * d/apparmor-profile: remove sssd path which is in apparmor base
    for a very long time
  * Fix-RebirthDay-Attack-CVE-2025-5994.patch: remove

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 24 Aug 2025 12:37:28 +0300
