=== debian/changelog ===
unbound (1.24.1-2) unstable; urgency=medium

  * replace-deprecated-function-by-new-action.patch:
    fix build with new SWIG 4.4.0 (fix from upstream)

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 30 Oct 2025 14:18:08 +0300

unbound (1.24.1-1) unstable; urgency=medium

  [ MichaIng ]
  * d/unbound.conf.d/remote-control.conf: fix typo

  [ Michael Tokarev ]
  * d/upstream/signing-key.asc: add Yorgos Thessalonikefs key
    (CFF3 344D 9087 A490)
  * new upstream security/bugfix release
    Closes: CVE-2025-11411 (possible domain hijacking attack)

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 22 Oct 2025 13:41:36 +0300
