=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,6 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 # we build in a sub-subdir so strip that from file paths too
 export DEB_CFLAGS_MAINT_APPEND = -ffile-prefix-map=../../=
-
-export DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
 # Fast version of dpkg/architecture.mk defining all vars in one go
 ifeq (${DEB_HOST_MULTIARCH},)
@@ -24,10 +22,6 @@
 	--with-pidfile=/run/unbound.pid \
 	--with-libevent \
 	--enable-tfo-client \
-
-ifneq ($(DEB_HOST_ARCH), i386)
-	redis=--with-libhiredis
-endif
 
 # this is used by unbound-host and unbound-anchor
 CONFIGURE_ARGS += --with-rootkey-file=/usr/share/dns/root.key
@@ -71,8 +65,7 @@
 		--enable-subnet \
 		--enable-dnstap \
 		--enable-systemd \
-		--enable-cachedb \
-		$(redis) \
+		--enable-cachedb --with-libhiredis \
 		--with-libnghttp2 \
 		--with-chroot-dir="" \
 		--with-dnstap-socket-path=/run/dnstap.sock \
@@ -109,6 +102,11 @@
 	$(if ${libonly},, ${MAKE} -Cb/unbound install DESTDIR=${CURDIR}/debian/tmp)
 	# this overrides the library (static & shared), headers and the manpages
 	${MAKE} -Cb/libunbound install-lib DESTDIR=${CURDIR}/debian/tmp
+# as of 1.23, ./configure does not honour --disable-static
+	rm -f debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/libunbound.a
+# drop static-build deps from the .pc file
+	sed -r -i '/^(Libs|Requires)\.private/D' \
+	    debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/pkgconfig/libunbound.pc
 
 ifeq (,${libonly})
 	install -Dp -m 0644 debian/apparmor-profile debian/unbound/etc/apparmor.d/usr.sbin.unbound
