=== debian/tests/control ===
Tests: runzones
Depends: @, udns-utils, dns-root-data
Restrictions: needs-internet
