## unbound 1.24.2

=== debian/changelog ===
unbound (1.24.2-1ubuntu2) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 23 Jan 2026 15:02:18 +0000

unbound (1.24.2-1ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (LP: #2126008). Remaining changes:
    - Don't build with hiredis on i386.  hiredis and redis are not built
      on i386 and require bootstrapping due to circular
      build-dependencies; simpler to just disable this in the i386
      unbound server binary (that no one will ever use).
  * Dropped changes:
    - d/p/CVE-2025-11411 [included in 1.23.1-1]
    - d/p/Fix-RebirthDay-Attack-CVE-2025-5994 [included in 1.23.1-1]
    - d/p/fix_ftbfs_function [replaced by
      d/p/replace-deprecated-function-by-new-action in 1.24.1-2]

 -- Jonas Jelten <jonas.jelten@canonical.com>  Tue, 02 Dec 2025 17:05:25 +0100

unbound (1.24.2-1) unstable; urgency=medium

  * new upstream security release:
    Additional fix for CVE-2025-11411 (possible domain hijacking attack),
    to include YXDOMAIN and non-referral nodata answers in the mitigation
    as well, reported by TaoFei Guo from Peking University, Yang Luo
    and JianJun Chen from Tsinghua University.
    Closes: #1121446, CVE-2025-11411
  * debian/upstream/signing-key.asc: merge two separate parts into one
    (keeping the same two keys)

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 26 Nov 2025 22:59:06 +0300
