=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,8 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 # we build in a sub-subdir so strip that from file paths too
 export DEB_CFLAGS_MAINT_APPEND = -ffile-prefix-map=../../=
+
+export DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
 # Fast version of dpkg/architecture.mk defining all vars in one go
 ifeq (${DEB_HOST_MULTIARCH},)
@@ -22,6 +24,10 @@
 	--with-pidfile=/run/unbound.pid \
 	--with-libevent \
 	--enable-tfo-client \
+
+ifneq ($(DEB_HOST_ARCH), i386)
+	redis=--with-libhiredis
+endif
 
 # this is used by unbound-host and unbound-anchor
 CONFIGURE_ARGS += --with-rootkey-file=/usr/share/dns/root.key
@@ -65,7 +71,8 @@
 		--enable-subnet \
 		--enable-dnstap \
 		--enable-systemd \
-		--enable-cachedb --with-libhiredis \
+		--enable-cachedb \
+		$(redis) \
 		--with-libnghttp2 \
 		--with-chroot-dir="" \
 		--with-dnstap-socket-path=/run/dnstap.sock \
